steps:
  build:
    image: alpine:3.19
    commands:
      - apk add --no-cache zola npm
      - npm install -D tailwindcss @tailwindcss/typography
      - npx tailwindcss -i input.css -o static/css/index.css --minify
      - zola build
  deploy:
    image: git.polynom.me/papatutuwawa/woodpecker-ssg-deploy@sha256:c7e2e8ad5d096ca6a628ffbbfa1026dce21784305f6069985d830c4167abcbda
    secrets: [ git_push_token ]
    settings:
      email: "ci@polynom.me"
      name: "polynom.me CI system"
      token_env: "GIT_PUSH_TOKEN"
      output: "public"